read.topo {oce} | R Documentation

## Read an topography file

### Description

Read a file that contains topographic data in the ETOPO dataset, as provided by the NOAA website [1].

### Usage

    read.topo(file, ...)

### Arguments

`file` | name of a file containing an ETOPO2 dataset.
`...` | additional arguments, passed to called routines.

### Value

An object of type `class` `"topo"`, which has the following slots.

``data`` | : a data frame containing `lat`, `lon`, and `z`
``metadata`` | : a list containing the source filename
``processingLog`` | : a log, in the standard `oce` format.

### Author(s)

Dan Kelley

### References

[1] NOAA website that provides datasets: http://maps.ngdc.noaa.gov/viewers/wcs-client with the `ArcGIS ASCII Grid` menu item selected.

### Examples

    ## Not run:
    library(oce)
    topoMaritimes <- read.topo("topoMaritimes.asc")
    plot(topographyMaritimes)

    ## End(Not run)

[Package oce version 0.9-18 Index]